Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.document
Class DocumentStorePhaseListener

    java.lang.Object
      org.jboss.seam.document.DocumentStorePhaseListener

All Implemented Interfaces:
  Serializable, EventListener, javax.faces.event.PhaseListener

    public class DocumentStorePhaseListener

extends Object
implements javax.faces.event.PhaseListener

See Also:
  Serialized Form

Constructor Summary
`DocumentStorePhaseListener()`

Method Summary
`void` | `afterPhase(javax.faces.event.PhaseEvent phaseEvent)`
`void` | `beforePhase(javax.faces.event.PhaseEvent phaseEvent)`
`javax.faces.event.PhaseId` | `getPhaseId()`
`void` | `sendContent(javax.faces.context.FacesContext context, String contentId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentStorePhaseListener

    public DocumentStorePhaseListener()

Method Detail

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Specified by:
    `getPhaseId` in interface `javax.faces.event.PhaseListener`

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent phaseEvent)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent phaseEvent)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`

### sendContent

    public void sendContent(javax.faces.context.FacesContext context,
                            String contentId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.